<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Prevent direct access to the script.
}

$active_profile_id = gigneo_active_profile_id();
$profile_type      = gigneo_profile_type( $active_profile_id );
$time_format       = get_option( 'time_format' );
$date_format       = get_option( 'date_format' );
$max_date          = gigneo_datetime( gmdate( 'Y-m-d' ), 'Y-m-d' );
$images_extensions = gigneo_option( '_gigneo_ts_image_extensions', array( 'jpg', 'jpeg', 'png', 'gif' ) );
$image_max_size    = gigneo_option( '_gigneo_ts_image_max_size', '1' );
$args              = array(
	'profile_id'        => $active_profile_id,
	'profile_type'      => $profile_type,
	'date_format'       => $date_format,
	'max_date'          => $max_date,
	'time_format'       => $time_format,
	'images_extensions' => $images_extensions,
	'image_max_size'    => $image_max_size,

);
?>
<!--Profile Setting-->
<div class="gn-profile-setting-wrapper">
	<div class="row">
		<!--Left Area-->
		<div class="col-xl-8 col-lg-7">
			<?php
			//Profile Setting Media
			gigneo_load_template( 'dashboard/setting/parts/profile/media', false, $args );
			?>
			<div class="gn-setting-main">
				<?php
				//Basic Info
				gigneo_load_template( 'dashboard/setting/parts/profile/personal-info', false, $args );
				//Description
				gigneo_load_template( 'dashboard/setting/parts/profile/description', false, $args );
				//Address
				gigneo_load_template( 'dashboard/setting/parts/profile/address', false, $args );
				//Categories
				gigneo_load_template( 'dashboard/setting/parts/profile/categories', false, $args );
				//Tags
				gigneo_load_template( 'dashboard/setting/parts/profile/skills', false, $args );
				//Portfolio
				gigneo_load_template( 'dashboard/setting/parts/profile/portfolio', false, $args );
				//Educations
				gigneo_load_template( 'dashboard/setting/parts/profile/education', false, $args );
				//Experiences
				gigneo_load_template( 'dashboard/setting/parts/profile/experience', false, $args );
				//Awards
				gigneo_load_template( 'dashboard/setting/parts/profile/awards', false, $args );
				//Licenses
				gigneo_load_template( 'dashboard/setting/parts/profile/licenses', false, $args );
				//Certificates
				gigneo_load_template( 'dashboard/setting/parts/profile/certificates', false, $args );
				//Faqs
				gigneo_load_template( 'dashboard/setting/parts/profile/faqs', false, $args );
				?>
			</div>
		</div>
		<!--Right Area-->
		<div class="col-xl-4 col-lg-5">
			<div class="gn-setting-side">
				<?php
				// Profile Health
				if ( in_array( 'profile_health' , gigneo_active_modules(), true  ) ) {
					do_action( 'gigneo_dashboard_setting_profile_health', $args );
				}
				//Languages
				gigneo_load_template( 'dashboard/setting/parts/profile/languages', false, $args );
				//Intro
				gigneo_load_template( 'dashboard/setting/parts/profile/intro', false, $args );
				//Resume
				if ( 'freelancer' === gigneo_profile_type() ) {
					gigneo_load_template( 'dashboard/setting/parts/profile/resume', false );
				}
				//Socials
				gigneo_load_template( 'dashboard/setting/parts/profile/socials', false, $args );
				?>
			</div>
		</div>
	</div>
</div>